# $Revision: 1.49 $, $Date: 2007-12-02 09:26:58 $
#
#### this spec is DEPRECATED - new name is crossvc.spec
#
%define		_srcrel	0

Summary:	A Qt-based tool for managing CVS
Summary(pl.UTF-8):	Narzędzie do zarządzania CVS-em oparte na Qt
Name:		lincvs
Version:	1.4.4
Release:	1
# GPL if linked with GPLed qt (as in PLD), custom otherwise (see LICENSE)
License:	GPL
Group:		Development/Version Control
Source0:	http://lincvs.com/download/%{name}-%{version}-%{_srcrel}-generic-src.tgz
# Source0-md5:	e5bdeeffb2511579b0c9ba3e33f636e8
Source1:	LinCVS.desktop
Patch0:		%{name}-gcc4.patch
URL:		http://www.lincvs.org/
BuildRequires:	libtool
BuildRequires:	qmake
BuildRequires:	qt-devel >= 6:3.3
BuildRequires:	sed >= 4.0
Requires:	cvs-client >= 1.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LinCVS acts as a reliable (!) graphical frontend for the CVS-client
supporting both CVS-versions 1.9 and 1.10, perhaps even older ones. It
allows to check out a module from and import of a module to a
repository, to update or retrieve the status of a working directory or
single files and common operations like add, remove and commit, diff
against the repository or view of the log messages in list form. In
contrast to other programs this one is REALLY easy to use ;-).

%description -l pl.UTF-8
LinCVS działa jako niezawodny(!) graficzny frontend dla klienta CVS.
Pozwala na import modułów z i do repozytorium oraz wszelkiego typu
inne zwykłe operacje w CVS-ie. W przeciwieństwie do wielu innych
programów jest NAPRAWDĘ prosty w użyciu ;-)

%prep
%setup -q
%patch0 -p0
%{__sed} -i 's,`dirname.*,%{_datadir}/%{name},' LinCVS/AppRun

%build
export QTDIR=%{_prefix}
export QMAKESPEC="%{_datadir}/qt/mkspecs/linux-g++/"
qmake -o Makefile lincvs.pro
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/{Messages,Tools}

install LinCVS/AppRun $RPM_BUILD_ROOT%{_bindir}/lincvs
install lincvs.bin $RPM_BUILD_ROOT%{_datadir}/%{name}
install ts/*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/Messages
install contrib/rshwrapper/rshwrapper $RPM_BUILD_ROOT%{_datadir}/%{name}/Tools
install contrib/ssh-askpass/ssh-askpass.bin $RPM_BUILD_ROOT%{_datadir}/%{name}/Tools
install tools/*.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/Tools
install LinCVS/AppIcon.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/lincvs.xpm
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS LICENSE doc/{README,SSH-HOWTO.txt,PROXY-HOWTO.txt}
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/Messages
%attr(755,root,root) %{_datadir}/%{name}/lincvs.bin
%attr(755,root,root) %{_datadir}/%{name}/Tools
%lang(ca) %{_datadir}/%{name}/Messages/ca_ES.qm
%lang(de) %{_datadir}/%{name}/Messages/de.qm
%lang(es) %{_datadir}/%{name}/Messages/es.qm
%lang(fr) %{_datadir}/%{name}/Messages/fr.qm
%lang(it) %{_datadir}/%{name}/Messages/it.qm
%lang(ja) %{_datadir}/%{name}/Messages/ja.qm
%lang(ru) %{_datadir}/%{name}/Messages/ru.qm
%lang(vi) %{_datadir}/%{name}/Messages/vi.qm
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lincvs.spec,v $
Revision 1.49  2007-12-02 09:26:58  qboosh
- R =~ s/cvs/cvs-client/

Revision 1.48  2007-11-25 02:37:55  wolvverine
- add info

Revision 1.47  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.45  2006/06/14 05:52:59  maciek2w
- added gcc4 fix
- STBR

Revision 1.44  2005/12/16 20:45:20  adamg
- updated to 1.4.4
- dropped -ui.patch (seems obsolete)

Revision 1.43  2005/09/28 15:16:15  saq
- rel 2

Revision 1.42  2005/09/28 01:01:34  charles
- added -ui.patch (fixed build with new /usr/bin/uic)

Revision 1.41  2005/09/27 18:49:20  saq
- qt epoch

Revision 1.40  2005/08/01 16:50:11  charles
- updated to 1.4.3
- removed BR libstdc++-devel (req. by qt-devel)
- STBR

Revision 1.39  2005/06/08 08:43:57  charles
- updated to 1.4.2

Revision 1.38  2005/06/06 00:51:38  charles
- rel. 1

Revision 1.37  2005/06/01 09:09:57  qboosh
- just lang(ca) for ca_ES

Revision 1.36  2005/05/29 14:35:59  charles
- more files
- BR: sed >= 4.0, rel. 0.9

Revision 1.35  2005/05/20 23:38:48  charles
- updated to 1.4.1

Revision 1.34  2005/03/01 19:02:31  qboosh
- simplified setup

Revision 1.33  2005/03/01 13:43:40  charles
- updated to 1.4.0 final
- BR qt-devel up to >= 3.1

Revision 1.32  2005/01/12 01:23:42  charles
- updated to 1.4.0 rc2

Revision 1.31  2005/01/10 16:42:11  charles
- updated to 1.3.3 rc1
- proper Source0

Revision 1.30  2005/01/03 01:32:54  wolvverine
- add BR qmake

Revision 1.29  2004/10/25 21:49:02  qboosh
- pl fixes

Revision 1.28  2004/10/24 22:49:22  paladine
- QT->Qt
- spelling fixes

Revision 1.27  2004/10/01 11:43:04  paladine
- rel 2 for fixed desktop file

Revision 1.26  2004/09/03 08:45:12  maho
- works stable, at least for me -- rel 1

Revision 1.25  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.24  2004/08/31 16:30:49  maho
- version 1.3.2
- removed unneeded config patch

Revision 1.23  2003/11/23 13:06:17  deejay1
- freedesktopdirize

Revision 1.22  2003/11/20 20:41:11  qboosh
- fixed doc, removed COPYING (just GPL)

Revision 1.21  2003/11/20 18:29:39  deejay1
- NFY!! must go to work, those damn qt apps build so looooooooong
- if someone's bored than freedesktopdirize it and check %%files, probably
  messed up

Revision 1.20  2003/10/08 09:05:45  qboosh
- cleanups

Revision 1.19  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/05/28 12:59:34  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:50:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/30 06:30:31  misi3k
- rel 2
- fixed %%install

Revision 1.15  2003/04/28 07:32:08  misi3k
- updated to 1.1.6

Revision 1.14  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.13  2002/07/25 19:00:10  blues
- new doc

Revision 1.12  2002/07/14 14:48:29  blues
- cosmetic

Revision 1.11  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/04/22 13:12:01  blues
- 0.9.90

Revision 1.9  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:44  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/03 11:16:40  qboosh
- adapterized

Revision 1.6  2001/11/02 12:02:19  blues
- added desktop

Revision 1.5  2001/11/02 11:19:09  blues
- added BR and pl-description

Revision 1.4  2001/10/01 18:54:15  blues
- cosmetics

Revision 1.3  2001/10/01 17:16:54  blues
- 0.4.0
- rewriten
- configure2_13 used

Revision 1.2  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/05/26 15:16:58  bonkey
- initial. based on mdk version

* Fri May 12 2000 Tilo Riemer <riemer@ppprs1.phy.tu-dresden.de>
- Initial package build
